Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005256TestLinkReportspublic2012-09-27 06:432013-05-26 18:53
Reportervirgo0 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSRHELOS Version5.5
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005256: Test Report - Test plan WITH PLATFORMS - Tree menu only show "Not Run" test case count in "Document options" page
DescriptionWhen test case linked with platform, and updated with result other than "Not Run", tree menu will skip this case in amount count of "Test Plan - Document options" and "Test Report - Document options".

If same test case linked to multiple platform, tree menu will skip test case when all linked platform with result other than "Not Run".
Steps To Reproduce1. Create one test plan with one build.
2. Add one SUT into test plan
3. Add two test cases into test plan, linked with SUT.
4. Click "Test Reports" -> "Test Report", three menu show 2 in bracket
5. Update one test case with result "Passed"
6. Click "Test Reports" -> "Test Report", three menu show 1 in bracket
Additional InformationNo this issue in 1.9.3
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserIE8 / Chrome 22.0
PHP Version5.3.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon NoPlatform.jpg [^] (133,507 bytes) 2012-09-27 06:43


jpg file icon WithPlatform.jpg [^] (125,720 bytes) 2012-09-27 06:43


jpg file icon WithPlatform_noResult.jpg [^] (124,353 bytes) 2012-09-27 06:47


xml file icon Test Project C.testproject-deep.xml [^] (1,587 bytes) 2012-10-08 09:40
jpg file icon report.jpg [^] (117,128 bytes) 2012-10-08 10:22

- Relationships
has duplicate 0005299closedfman Test plan report and test report only show the not run test cases 
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017623)
sujataverma3 (reporter)
2012-10-08 09:40

Ok, i could reproduce this bug also. Below is the step to reproduce the bug , but as i noticed :

Even if the count (shown no) is less , if you actually take the report , it is displaying all the test cases with proper passed/failed/blocked/not run.

@virgo0

In second case "WithPlatform" can you confirm if you actually click on report/plan-> the missing test case is present or not ?


Steps to reproduce the issue:

1) Create Test Project C

2) Create Test Plan C

3) Create Platform C

4) Create build "cccc"

5) Create Test suite TS

6) Create 4 Test cases -> TC1 to Tc4

7) Assign all test cases with platform to admin user

8) Execute -> Tc1-> Passed, Tc2-> failed-> Tc3-> blocked

9) Go to Test Plan Report-> Only one test case count is displayed ( wrong )
 expected -> 4 should be displayed -> However if we click on report-> All four test cases report gets generated .

    
10) Go to Test Report-> Only one test case count is displayed ( wrong )
 expected -> 4 should be displayed -> However if we click on report-> All four test cases report gets generated .
(0017625)
fman (administrator)
2012-10-08 16:52
edited on: 2012-10-08 20:52

@sujataverma3
thanks for your work
please attach all XML files that can be used to set up the scenario
(my fault the files are uploaded :()

(0017628)
fman (administrator)
2012-10-08 20:53

Please try with this fix and provide feedback
testlink 1.9.5
http://gitorious.org/testlink-ga/testlink-code/commit/240971cc289596d30e79bea138289674961b3741 [^]
(0017629)
virgo0 (reporter)
2012-10-09 01:17

Issue gone with fix.

@fman
Thanks for your help.

- Issue History
Date Modified Username Field Change
2012-09-27 06:43 virgo0 New Issue
2012-09-27 06:43 virgo0 File Added: NoPlatform.jpg
2012-09-27 06:43 virgo0 File Added: WithPlatform.jpg
2012-09-27 06:47 virgo0 File Added: WithPlatform_noResult.jpg
2012-10-08 09:40 sujataverma3 Note Added: 0017623
2012-10-08 09:40 sujataverma3 File Added: Test Project C.testproject-deep.xml
2012-10-08 10:22 sujataverma3 File Added: report.jpg
2012-10-08 16:52 fman Note Added: 0017625
2012-10-08 20:51 fman Summary Tree menu only show "Not Run" test case count in "Document options" page => Test Report - Test plan WITH PLATFORMS - Tree menu only show "Not Run" test case count in "Document options" page
2012-10-08 20:52 fman Note Edited: 0017625 View Revisions
2012-10-08 20:53 fman Note Added: 0017628
2012-10-08 20:53 fman Tag Attached: TO BE FIXED on 2.0
2012-10-08 20:53 fman Relationship added child of 0005193
2012-10-08 20:54 fman Assigned To => fman
2012-10-08 20:54 fman Status new => assigned
2012-10-08 20:54 fman Task Workflow Status TBD => READY FOR TESTING
2012-10-09 01:17 virgo0 Note Added: 0017629
2012-10-09 18:16 fman Status assigned => resolved
2012-10-09 18:16 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-10-09 18:16 fman Resolution open => fixed
2012-10-23 18:10 fman Relationship added has duplicate 0005299
2013-05-26 18:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker